Index: uspace/srv/net/socket/socket_client.c
===================================================================
--- uspace/srv/net/socket/socket_client.c	(revision b5cbff48576a057d15deb2e28751ec635d099719)
+++ uspace/srv/net/socket/socket_client.c	(revision 936835e135a18adfccf27258eb51edd1dd5fe962)
@@ -489,362 +499,400 @@
 }
 
-int socket_send_data( int socket_id, ipcarg_t message, ipcarg_t arg2, const void * data, size_t datalength ){
-	socket_ref		socket;
-	aid_t			message_id;
-	ipcarg_t		result;
-
-	if( ! data ) return EBADMEM;
-	if( ! datalength ) return NO_DATA;
-
-	fibril_rwlock_read_lock( & socket_globals.lock );
+int socket_send_data(int socket_id, ipcarg_t message, ipcarg_t arg2, const void * data, size_t datalength){
+	socket_ref socket;
+	aid_t message_id;
+	ipcarg_t result;
+
+	if(! data){
+		return EBADMEM;
+	}
+	if(! datalength){
+		return NO_DATA;
+	}
+
+	fibril_rwlock_read_lock(&socket_globals.lock);
 	// find the socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
 	// request the message
-	message_id = async_send_3( socket->phone, message, ( ipcarg_t ) socket->socket_id, arg2, socket->service, NULL );
+	message_id = async_send_3(socket->phone, message, (ipcarg_t) socket->socket_id, arg2, socket->service, NULL);
 	// send the address
-	async_data_write_start( socket->phone, data, datalength );
-	fibril_rwlock_read_unlock( & socket_globals.lock );
-	async_wait_for( message_id, & result );
-	return ( int ) result;
-}
-
-int bind( int socket_id, const struct sockaddr * my_addr, socklen_t addrlen ){
-	if( addrlen <= 0 ) return EINVAL;
+	async_data_write_start(socket->phone, data, datalength);
+	fibril_rwlock_read_unlock(&socket_globals.lock);
+	async_wait_for(message_id, &result);
+	return (int) result;
+}
+
+int bind(int socket_id, const struct sockaddr * my_addr, socklen_t addrlen){
+	if(addrlen <= 0){
+		return EINVAL;
+	}
 	// send the address
-	return socket_send_data( socket_id, NET_SOCKET_BIND, 0, my_addr, ( size_t ) addrlen );
-}
-
-int listen( int socket_id, int backlog ){
-	socket_ref	socket;
-	int			result;
-
-	if( backlog <= 0 ) return EINVAL;
-	fibril_rwlock_read_lock( & socket_globals.lock );
+	return socket_send_data(socket_id, NET_SOCKET_BIND, 0, my_addr, (size_t) addrlen);
+}
+
+int listen(int socket_id, int backlog){
+	socket_ref socket;
+	int result;
+
+	if(backlog <= 0){
+		return EINVAL;
+	}
+	fibril_rwlock_read_lock(&socket_globals.lock);
 	// find the socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
 	// request listen backlog change
-	result = ( int ) async_req_3_0( socket->phone, NET_SOCKET_LISTEN, ( ipcarg_t ) socket->socket_id, ( ipcarg_t ) backlog, socket->service );
-	fibril_rwlock_read_unlock( & socket_globals.lock );
+	result = (int) async_req_3_0(socket->phone, NET_SOCKET_LISTEN, (ipcarg_t) socket->socket_id, (ipcarg_t) backlog, socket->service);
+	fibril_rwlock_read_unlock(&socket_globals.lock);
 	return result;
 }
 
-int accept( int socket_id, struct sockaddr * cliaddr, socklen_t * addrlen ){
-	socket_ref		socket;
-	socket_ref		new_socket;
-	aid_t			message_id;
-	ipcarg_t		ipc_result;
-	int			result;
-	ipc_call_t		answer;
-
-	if(( ! cliaddr ) || ( ! addrlen )) return EBADMEM;
-
-	fibril_rwlock_write_lock( & socket_globals.lock );
+int accept(int socket_id, struct sockaddr * cliaddr, socklen_t * addrlen){
+	socket_ref socket;
+	socket_ref new_socket;
+	aid_t message_id;
+	ipcarg_t ipc_result;
+	int result;
+	ipc_call_t answer;
+
+	if((! cliaddr) || (! addrlen)){
+		return EBADMEM;
+	}
+
+	fibril_rwlock_write_lock(&socket_globals.lock);
 	// find the socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
-	fibril_mutex_lock( & socket->accept_lock );
+	fibril_mutex_lock(&socket->accept_lock);
 	// wait for an accepted socket
 	++ socket->blocked;
-	while( dyn_fifo_value( & socket->accepted ) <= 0 ){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
-		fibril_condvar_wait( & socket->accept_signal, & socket->accept_lock );
+	while(dyn_fifo_value(&socket->accepted) <= 0){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
+		fibril_condvar_wait(&socket->accept_signal, &socket->accept_lock);
 		// drop the accept lock to avoid deadlock
-		fibril_mutex_unlock( & socket->accept_lock );
-		fibril_rwlock_write_lock( & socket_globals.lock );
-		fibril_mutex_lock( & socket->accept_lock );
+		fibril_mutex_unlock(&socket->accept_lock);
+		fibril_rwlock_write_lock(&socket_globals.lock);
+		fibril_mutex_lock(&socket->accept_lock);
 	}
 	-- socket->blocked;
 
 	// create a new scoket
-	new_socket = ( socket_ref ) malloc( sizeof( socket_t ));
-	if( ! new_socket ){
-		fibril_mutex_unlock( & socket->accept_lock );
-		fibril_rwlock_write_unlock( & socket_globals.lock );
+	new_socket = (socket_ref) malloc(sizeof(socket_t));
+	if(! new_socket){
+		fibril_mutex_unlock(&socket->accept_lock);
+		fibril_rwlock_write_unlock(&socket_globals.lock);
 		return ENOMEM;
 	}
-	bzero( new_socket, sizeof( * new_socket ));
+	bzero(new_socket, sizeof(*new_socket));
 	socket_id = socket_generate_new_id();
-	if( socket_id <= 0 ){
-		fibril_mutex_unlock( & socket->accept_lock );
-		fibril_rwlock_write_unlock( & socket_globals.lock );
-		free( new_socket );
+	if(socket_id <= 0){
+		fibril_mutex_unlock(&socket->accept_lock);
+		fibril_rwlock_write_unlock(&socket_globals.lock);
+		free(new_socket);
 		return socket_id;
 	}
-	socket_initialize( new_socket, socket_id, socket->phone, socket->service );
-	result = sockets_add( socket_get_sockets(), new_socket->socket_id, new_socket );
-	if( result < 0 ){
-		fibril_mutex_unlock( & socket->accept_lock );
-		fibril_rwlock_write_unlock( & socket_globals.lock );
-		free( new_socket );
+	socket_initialize(new_socket, socket_id, socket->phone, socket->service);
+	result = sockets_add(socket_get_sockets(), new_socket->socket_id, new_socket);
+	if(result < 0){
+		fibril_mutex_unlock(&socket->accept_lock);
+		fibril_rwlock_write_unlock(&socket_globals.lock);
+		free(new_socket);
 		return result;
 	}
 
 	// request accept
-	message_id = async_send_5( socket->phone, NET_SOCKET_ACCEPT, ( ipcarg_t ) socket->socket_id, 0, socket->service, 0, new_socket->socket_id, & answer );
+	message_id = async_send_5(socket->phone, NET_SOCKET_ACCEPT, (ipcarg_t) socket->socket_id, 0, socket->service, 0, new_socket->socket_id, &answer);
 	// read address
-	ipc_data_read_start( socket->phone, cliaddr, * addrlen );
-	fibril_rwlock_write_unlock( & socket_globals.lock );
-	async_wait_for( message_id, & ipc_result );
+	ipc_data_read_start(socket->phone, cliaddr, * addrlen);
+	fibril_rwlock_write_unlock(&socket_globals.lock);
+	async_wait_for(message_id, &ipc_result);
 	result = (int) ipc_result;
-	if( result > 0 ){
-		if( result != socket_id ){
+	if(result > 0){
+		if(result != socket_id){
 			result = EINVAL;
 		}
 		// dequeue the accepted socket if successful
-		dyn_fifo_pop( & socket->accepted );
+		dyn_fifo_pop(&socket->accepted);
 		// set address length
-		* addrlen = SOCKET_GET_ADDRESS_LENGTH( answer );
-		new_socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE( answer );
-	}else if( result == ENOTSOCK ){
+		*addrlen = SOCKET_GET_ADDRESS_LENGTH(answer);
+		new_socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE(answer);
+	}else if(result == ENOTSOCK){
 		// empty the queue if no accepted sockets
-		while( dyn_fifo_pop( & socket->accepted ) > 0 );
-	}
-	fibril_mutex_unlock( & socket->accept_lock );
+		while(dyn_fifo_pop(&socket->accepted) > 0);
+	}
+	fibril_mutex_unlock(&socket->accept_lock);
 	return result;
 }
 
-int connect( int socket_id, const struct sockaddr * serv_addr, socklen_t addrlen ){
-	if( ! serv_addr ) return EDESTADDRREQ;
-	if( ! addrlen ) return EDESTADDRREQ;
+int connect(int socket_id, const struct sockaddr * serv_addr, socklen_t addrlen){
+	if(! serv_addr){
+		return EDESTADDRREQ;
+	}
+	if(! addrlen){
+		return EDESTADDRREQ;
+	}
 	// send the address
-	return socket_send_data( socket_id, NET_SOCKET_CONNECT, 0, serv_addr, addrlen );
-}
-
-int closesocket( int socket_id ){
+	return socket_send_data(socket_id, NET_SOCKET_CONNECT, 0, serv_addr, addrlen);
+}
+
+int closesocket(int socket_id){
 	ERROR_DECLARE;
 
-	socket_ref		socket;
-
-	fibril_rwlock_write_lock( & socket_globals.lock );
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
+	socket_ref socket;
+
+	fibril_rwlock_write_lock(&socket_globals.lock);
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
-	if( socket->blocked ){
-		fibril_rwlock_write_unlock( & socket_globals.lock );
+	if(socket->blocked){
+		fibril_rwlock_write_unlock(&socket_globals.lock);
 		return EINPROGRESS;
 	}
 	// request close
-	ERROR_PROPAGATE(( int ) async_req_3_0( socket->phone, NET_SOCKET_CLOSE, ( ipcarg_t ) socket->socket_id, 0, socket->service ));
+	ERROR_PROPAGATE((int) async_req_3_0(socket->phone, NET_SOCKET_CLOSE, (ipcarg_t) socket->socket_id, 0, socket->service));
 	// free the socket structure
-	socket_destroy( socket );
-	fibril_rwlock_write_unlock( & socket_globals.lock );
+	socket_destroy(socket);
+	fibril_rwlock_write_unlock(&socket_globals.lock);
 	return EOK;
 }
 
-void socket_destroy( socket_ref socket ){
-	int	accepted_id;
+void socket_destroy(socket_ref socket){
+	int accepted_id;
 
 	// destroy all accepted sockets
-	while(( accepted_id = dyn_fifo_pop( & socket->accepted )) >= 0 ){
-		socket_destroy( sockets_find( socket_get_sockets(), accepted_id ));
-	}
-	dyn_fifo_destroy( & socket->received );
-	dyn_fifo_destroy( & socket->accepted );
-	sockets_exclude( socket_get_sockets(), socket->socket_id );
-}
-
-int send( int socket_id, void * data, size_t datalength, int flags ){
+	while((accepted_id = dyn_fifo_pop(&socket->accepted)) >= 0){
+		socket_destroy(sockets_find(socket_get_sockets(), accepted_id));
+	}
+	dyn_fifo_destroy(&socket->received);
+	dyn_fifo_destroy(&socket->accepted);
+	sockets_exclude(socket_get_sockets(), socket->socket_id);
+}
+
+int send(int socket_id, void * data, size_t datalength, int flags){
 	// without the address
-	return sendto_core( NET_SOCKET_SEND, socket_id, data, datalength, flags, NULL, 0 );
-}
-
-int sendto( int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen ){
-	if( ! toaddr ) return EDESTADDRREQ;
-	if( ! addrlen ) return EDESTADDRREQ;
+	return sendto_core(NET_SOCKET_SEND, socket_id, data, datalength, flags, NULL, 0);
+}
+
+int sendto(int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen){
+	if(! toaddr){
+		return EDESTADDRREQ;
+	}
+	if(! addrlen){
+		return EDESTADDRREQ;
+	}
 	// with the address
-	return sendto_core( NET_SOCKET_SENDTO, socket_id, data, datalength, flags, toaddr, addrlen );
-}
-
-int sendto_core( ipcarg_t message, int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen ){
-	socket_ref		socket;
-	aid_t			message_id;
-	ipcarg_t		result;
-	size_t			fragments;
-	ipc_call_t		answer;
-
-	if( ! data ) return EBADMEM;
-	if( ! datalength ) return NO_DATA;
-	fibril_rwlock_read_lock( & socket_globals.lock );
+	return sendto_core(NET_SOCKET_SENDTO, socket_id, data, datalength, flags, toaddr, addrlen);
+}
+
+int sendto_core(ipcarg_t message, int socket_id, const void * data, size_t datalength, int flags, const struct sockaddr * toaddr, socklen_t addrlen){
+	socket_ref socket;
+	aid_t message_id;
+	ipcarg_t result;
+	size_t fragments;
+	ipc_call_t answer;
+
+	if(! data){
+		return EBADMEM;
+	}
+	if(! datalength){
+		return NO_DATA;
+	}
+	fibril_rwlock_read_lock(&socket_globals.lock);
 	// find socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
-	fibril_rwlock_read_lock( & socket->sending_lock );
+	fibril_rwlock_read_lock(&socket->sending_lock);
 	// compute data fragment count
-	if( socket->data_fragment_size > 0 ){
-		fragments = ( datalength + socket->header_size ) / socket->data_fragment_size;
-		if(( datalength + socket->header_size ) % socket->data_fragment_size ) ++ fragments;
+	if(socket->data_fragment_size > 0){
+		fragments = (datalength + socket->header_size) / socket->data_fragment_size;
+		if((datalength + socket->header_size) % socket->data_fragment_size) ++ fragments;
 	}else{
 		fragments = 1;
 	}
 	// request send
-	message_id = async_send_5( socket->phone, message, ( ipcarg_t ) socket->socket_id, ( fragments == 1 ? datalength : socket->data_fragment_size ), socket->service, ( ipcarg_t ) flags, fragments, & answer );
+	message_id = async_send_5(socket->phone, message, (ipcarg_t) socket->socket_id, (fragments == 1 ? datalength : socket->data_fragment_size), socket->service, (ipcarg_t) flags, fragments, &answer);
 	// send the address if given
-	if(( ! toaddr ) || ( async_data_write_start( socket->phone, toaddr, addrlen ) == EOK )){
-		if( fragments == 1 ){
+	if((! toaddr) || (async_data_write_start(socket->phone, toaddr, addrlen) == EOK)){
+		if(fragments == 1){
 			// send all if only one fragment
-			async_data_write_start( socket->phone, data, datalength );
+			async_data_write_start(socket->phone, data, datalength);
 		}else{
 			// send the first fragment
-			async_data_write_start( socket->phone, data, socket->data_fragment_size - socket->header_size );
-			data = (( const uint8_t * ) data ) + socket->data_fragment_size - socket->header_size;
+			async_data_write_start(socket->phone, data, socket->data_fragment_size - socket->header_size);
+			data = ((const uint8_t *) data) + socket->data_fragment_size - socket->header_size;
 			// send the middle fragments
-			while(( -- fragments ) > 1 ){
-				async_data_write_start( socket->phone, data, socket->data_fragment_size );
-				data = (( const uint8_t * ) data ) + socket->data_fragment_size;
+			while((-- fragments) > 1){
+				async_data_write_start(socket->phone, data, socket->data_fragment_size);
+				data = ((const uint8_t *) data) + socket->data_fragment_size;
 			}
 			// send the last fragment
-			async_data_write_start( socket->phone, data, ( datalength + socket->header_size ) % socket->data_fragment_size );
-		}
-	}
-	async_wait_for( message_id, & result );
-	if(( SOCKET_GET_DATA_FRAGMENT_SIZE( answer ) > 0 )
-	&& ( SOCKET_GET_DATA_FRAGMENT_SIZE( answer ) != socket->data_fragment_size )){
+			async_data_write_start(socket->phone, data, (datalength + socket->header_size) % socket->data_fragment_size);
+		}
+	}
+	async_wait_for(message_id, &result);
+	if((SOCKET_GET_DATA_FRAGMENT_SIZE(answer) > 0)
+		&& (SOCKET_GET_DATA_FRAGMENT_SIZE(answer) != socket->data_fragment_size)){
 		// set the data fragment size
-		socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE( answer );
-	}
-	fibril_rwlock_read_unlock( & socket->sending_lock );
-	fibril_rwlock_read_unlock( & socket_globals.lock );
-	return ( int ) result;
-}
-
-int recv( int socket_id, void * data, size_t datalength, int flags ){
+		socket->data_fragment_size = SOCKET_GET_DATA_FRAGMENT_SIZE(answer);
+	}
+	fibril_rwlock_read_unlock(&socket->sending_lock);
+	fibril_rwlock_read_unlock(&socket_globals.lock);
+	return (int) result;
+}
+
+int recv(int socket_id, void * data, size_t datalength, int flags){
 	// without the address
-	return recvfrom_core( NET_SOCKET_RECV, socket_id, data, datalength, flags, NULL, NULL );
-}
-
-int recvfrom( int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen ){
-	if( ! fromaddr ) return EBADMEM;
-	if( ! addrlen ) return NO_DATA;
+	return recvfrom_core(NET_SOCKET_RECV, socket_id, data, datalength, flags, NULL, NULL);
+}
+
+int recvfrom(int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen){
+	if(! fromaddr){
+		return EBADMEM;
+	}
+	if(! addrlen){
+		return NO_DATA;
+	}
 	// with the address
-	return recvfrom_core( NET_SOCKET_RECVFROM, socket_id, data, datalength, flags, fromaddr, addrlen );
-}
-
-int recvfrom_core( ipcarg_t message, int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen ){
-	socket_ref		socket;
-	aid_t			message_id;
-	ipcarg_t		ipc_result;
-	int			result;
-	size_t			fragments;
-	size_t *		lengths;
-	size_t			index;
-	ipc_call_t		answer;
-
-	if( ! data ) return EBADMEM;
-	if( ! datalength ) return NO_DATA;
-	if( fromaddr && ( ! addrlen )) return EINVAL;
-	fibril_rwlock_read_lock( & socket_globals.lock );
+	return recvfrom_core(NET_SOCKET_RECVFROM, socket_id, data, datalength, flags, fromaddr, addrlen);
+}
+
+int recvfrom_core(ipcarg_t message, int socket_id, void * data, size_t datalength, int flags, struct sockaddr * fromaddr, socklen_t * addrlen){
+	socket_ref socket;
+	aid_t message_id;
+	ipcarg_t ipc_result;
+	int result;
+	size_t fragments;
+	size_t * lengths;
+	size_t index;
+	ipc_call_t answer;
+
+	if(! data){
+		return EBADMEM;
+	}
+	if(! datalength){
+		return NO_DATA;
+	}
+	if(fromaddr && (! addrlen)){
+		return EINVAL;
+	}
+	fibril_rwlock_read_lock(&socket_globals.lock);
 	// find the socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
-	fibril_mutex_lock( & socket->receive_lock );
+	fibril_mutex_lock(&socket->receive_lock);
 	// wait for a received packet
 	++ socket->blocked;
-	while(( result = dyn_fifo_value( & socket->received )) <= 0 ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
-		fibril_condvar_wait( & socket->receive_signal, & socket->receive_lock );
+	while((result = dyn_fifo_value(&socket->received)) <= 0){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
+		fibril_condvar_wait(&socket->receive_signal, &socket->receive_lock);
 		// drop the receive lock to avoid deadlock
-		fibril_mutex_unlock( & socket->receive_lock );
-		fibril_rwlock_read_lock( & socket_globals.lock );
-		fibril_mutex_lock( & socket->receive_lock );
+		fibril_mutex_unlock(&socket->receive_lock);
+		fibril_rwlock_read_lock(&socket_globals.lock);
+		fibril_mutex_lock(&socket->receive_lock);
 	}
 	-- socket->blocked;
-	fragments = ( size_t ) result;
+	fragments = (size_t) result;
 	// prepare lengths if more fragments
-	if( fragments > 1 ){
-		lengths = ( size_t * ) malloc( sizeof( size_t ) * fragments + sizeof( size_t ));
-		if( ! lengths ){
-			fibril_mutex_unlock( & socket->receive_lock );
-			fibril_rwlock_read_unlock( & socket_globals.lock );
+	if(fragments > 1){
+		lengths = (size_t *) malloc(sizeof(size_t) * fragments + sizeof(size_t));
+		if(! lengths){
+			fibril_mutex_unlock(&socket->receive_lock);
+			fibril_rwlock_read_unlock(&socket_globals.lock);
 			return ENOMEM;
 		}
 		// request packet data
-		message_id = async_send_4( socket->phone, message, ( ipcarg_t ) socket->socket_id, 0, socket->service, ( ipcarg_t ) flags, & answer );
+		message_id = async_send_4(socket->phone, message, (ipcarg_t) socket->socket_id, 0, socket->service, (ipcarg_t) flags, &answer);
 		// read the address if desired
-		if(( ! fromaddr ) || ( async_data_read_start( socket->phone, fromaddr, * addrlen ) == EOK )){
+		if((! fromaddr) || (async_data_read_start(socket->phone, fromaddr, * addrlen) == EOK)){
 		// read the fragment lengths
-			if( async_data_read_start( socket->phone, lengths, sizeof( int ) * ( fragments + 1 )) == EOK ){
-				if( lengths[ fragments ] <= datalength ){
+			if(async_data_read_start(socket->phone, lengths, sizeof(int) * (fragments + 1)) == EOK){
+				if(lengths[fragments] <= datalength){
 					// read all fragments if long enough
-					for( index = 0; index < fragments; ++ index ){
-						async_data_read_start( socket->phone, data, lengths[ index ] );
-						data = (( uint8_t * ) data ) + lengths[ index ];
+					for(index = 0; index < fragments; ++ index){
+						async_data_read_start(socket->phone, data, lengths[index]);
+						data = ((uint8_t *) data) + lengths[index];
 					}
 				}
 			}
 		}
-		free( lengths );
+		free(lengths);
 	}else{
 		// request packet data
-		message_id = async_send_4( socket->phone, message, ( ipcarg_t ) socket->socket_id, 0, socket->service, ( ipcarg_t ) flags, & answer );
+		message_id = async_send_4(socket->phone, message, (ipcarg_t) socket->socket_id, 0, socket->service, (ipcarg_t) flags, &answer);
 		// read the address if desired
-		if(( ! fromaddr ) || ( async_data_read_start( socket->phone, fromaddr, * addrlen ) == EOK )){
+		if((! fromaddr) || (async_data_read_start(socket->phone, fromaddr, * addrlen) == EOK)){
 			// read all if only one fragment
-			async_data_read_start( socket->phone, data, datalength );
-		}
-	}
-	async_wait_for( message_id, & ipc_result );
+			async_data_read_start(socket->phone, data, datalength);
+		}
+	}
+	async_wait_for(message_id, &ipc_result);
 	result = (int) ipc_result;
 	// if successful
-	if( result == EOK ){
+	if(result == EOK){
 		// dequeue the received packet
-		dyn_fifo_pop( & socket->received );
+		dyn_fifo_pop(&socket->received);
 		// return read data length
-		result = SOCKET_GET_READ_DATA_LENGTH( answer );
+		result = SOCKET_GET_READ_DATA_LENGTH(answer);
 		// set address length
-		if( fromaddr && addrlen ) * addrlen = SOCKET_GET_ADDRESS_LENGTH( answer );
-	}
-	fibril_mutex_unlock( & socket->receive_lock );
-	fibril_rwlock_read_unlock( & socket_globals.lock );
+		if(fromaddr && addrlen){
+			*addrlen = SOCKET_GET_ADDRESS_LENGTH(answer);
+		}
+	}
+	fibril_mutex_unlock(&socket->receive_lock);
+	fibril_rwlock_read_unlock(&socket_globals.lock);
 	return result;
 }
 
-int getsockopt( int socket_id, int level, int optname, void * value, size_t * optlen ){
-	socket_ref		socket;
-	aid_t			message_id;
-	ipcarg_t		result;
-
-	if( !( value && optlen )) return EBADMEM;
-	if( !( * optlen )) return NO_DATA;
-	fibril_rwlock_read_lock( & socket_globals.lock );
+int getsockopt(int socket_id, int level, int optname, void * value, size_t * optlen){
+	socket_ref socket;
+	aid_t message_id;
+	ipcarg_t result;
+
+	if(!(value && optlen)){
+		return EBADMEM;
+	}
+	if(!(*optlen)){
+		return NO_DATA;
+	}
+	fibril_rwlock_read_lock(&socket_globals.lock);
 	// find the socket
-	socket = sockets_find( socket_get_sockets(), socket_id );
-	if( ! socket ){
-		fibril_rwlock_read_unlock( & socket_globals.lock );
+	socket = sockets_find(socket_get_sockets(), socket_id);
+	if(! socket){
+		fibril_rwlock_read_unlock(&socket_globals.lock);
 		return ENOTSOCK;
 	}
 	// request option value
-	message_id = async_send_3( socket->phone, NET_SOCKET_GETSOCKOPT, ( ipcarg_t ) socket->socket_id, ( ipcarg_t ) optname, socket->service, NULL );
+	message_id = async_send_3(socket->phone, NET_SOCKET_GETSOCKOPT, (ipcarg_t) socket->socket_id, (ipcarg_t) optname, socket->service, NULL);
 	// read the length
-	if( async_data_read_start( socket->phone, optlen, sizeof( * optlen )) == EOK ){
+	if(async_data_read_start(socket->phone, optlen, sizeof(*optlen)) == EOK){
 		// read the value
-		async_data_read_start( socket->phone, value, * optlen );
-	}
-	fibril_rwlock_read_unlock( & socket_globals.lock );
-	async_wait_for( message_id, & result );
-	return ( int ) result;
-}
-
-int setsockopt( int socket_id, int level, int optname, const void * value, size_t optlen ){
+		async_data_read_start(socket->phone, value, * optlen);
+	}
+	fibril_rwlock_read_unlock(&socket_globals.lock);
+	async_wait_for(message_id, &result);
+	return (int) result;
+}
+
+int setsockopt(int socket_id, int level, int optname, const void * value, size_t optlen){
 	// send the value
-	return socket_send_data( socket_id, NET_SOCKET_SETSOCKOPT, ( ipcarg_t ) optname, value, optlen );
+	return socket_send_data(socket_id, NET_SOCKET_SETSOCKOPT, (ipcarg_t) optname, value, optlen);
 
 }
